Show largest possible random value

- « lcg_value

- mt_rand »

- PHP Manual
- Random Functions
- Show largest possible random value

# mt_getrandmax

(PHP 4, PHP 5, PHP 7, PHP 8)

mt_getrandmax — Show largest possible random value

### Description

mt_getrandmax(): int

Returns the maximum value that can be returned by a call to mt_rand().

### Parameters

This function has no parameters.

### Return Values

Returns the maximum random value returned by a call to mt_rand() without arguments, which is the maximum value that can be used for its `max` parameter without the result being scaled up (and therefore less random).

### See Also

- mt_rand() - Generate a random value via the Mersenne Twister Random Number Generator
- mt_srand() - Seeds the Mersenne Twister Random Number Generator
- getrandmax() - Show largest possible random value